# frozen_string_literal: true

module Bulkrax
  class RerunImportersController < ApplicationController
    include BulkraxHelper
    before_action :set_importer, only: [:rerun_failed_entries, :marked_as_complete]

    def rerun_failed_entries
      rerun_failed_entries_in_last_run
      redirect_to importers_path
    end

    def marked_as_complete
      @importer.last_run.update(enqueued_records: 0)
      @importer.status_info('Complete')

      redirect_to importers_path
    end

    private

    def set_importer
      @importer = Importer.find(params[:importer_id])
    end
  end
end
