# frozen_string_literal: true

module Hyrax
  class DownloadSearchJob < ApplicationJob
    def perform(current_user_id, doc_ids, shell_file_path, download_link)
      current_user = ::User.find_by(id: current_user_id) if current_user_id

      unless File.exist?(shell_file_path)
        s3 = S3StorageService.new
        s3.init_client
        s3.prepare_search_result_shell_file(doc_ids, shell_file_path)
      end

      return unless current_user.present?

      subject = I18n.t('hyrax.notifications.download_ready.subject')
      message = I18n.t('hyrax.notifications.download_ready.message',
                  link:  nil,
                  download_link: download_link,
                  user: current_user.user_key)

      Hyrax::MessengerService.deliver(current_user, current_user, message, subject)
    end
  end
end
