# frozen_string_literal: true
module Hyrax
  module FileSets
    # Grants the group edit access on the provided FileSet
    class GrantEditJob < ApplicationJob
      include PermissionJobBehavior

      def perform(file_set_id, group_key)
        file_set = ::FileSet.find(file_set_id)
        file_set.edit_groups += [group_key]
        file_set.save!
      end
    end
  end
end